Package org.apache.storm.hdfs.trident

## Class HdfsState.SequenceFileOptions

- java.lang.Object
- - org.apache.storm.hdfs.trident.HdfsState.Options
  - - org.apache.storm.hdfs.trident.HdfsState.SequenceFileOptions

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    HdfsState

      public static class HdfsState.SequenceFileOptions
      extends HdfsState.Options

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.hdfs.trident.HdfsState.Options

      `configKey, fileNameFormat, fs, fsUrl, hdfsConfig, rotation, rotationActions, rotationPolicy`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SequenceFileOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HdfsState.SequenceFileOptions` | `addRotationAction​(RotationAction action)` |
    `void` | `doCommit​(Long txId)` |
    `void` | `execute​(List<TridentTuple> tuples)` |
    `long` | `getCurrentOffset()` |
    `HdfsState.SequenceFileOptions` | `withCompressionCodec​(String codec)` |
    `HdfsState.SequenceFileOptions` | `withCompressionType​(org.apache.hadoop.io.SequenceFile.CompressionType compressionType)` |
    `HdfsState.SequenceFileOptions` | `withConfigKey​(String configKey)` |
    `HdfsState.SequenceFileOptions` | `withFileNameFormat​(FileNameFormat fileNameFormat)` |
    `HdfsState.SequenceFileOptions` | `withFsUrl​(String fsUrl)` |
    `HdfsState.SequenceFileOptions` | `withRotationPolicy​(FileRotationPolicy rotationPolicy)` |
    `HdfsState.SequenceFileOptions` | `withSequenceFormat​(SequenceFormat format)` |

    - ### Methods inherited from class org.apache.storm.hdfs.trident.HdfsState.Options

      `rotateOutputFile, rotateOutputFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceFileOptions

          public SequenceFileOptions()

  - ### Method Detail

    - #### withCompressionCodec

          public HdfsState.SequenceFileOptions withCompressionCodec​(String codec)

    - #### withFsUrl

          public HdfsState.SequenceFileOptions withFsUrl​(String fsUrl)

    - #### withConfigKey

          public HdfsState.SequenceFileOptions withConfigKey​(String configKey)

    - #### withFileNameFormat

          public HdfsState.SequenceFileOptions withFileNameFormat​(FileNameFormat fileNameFormat)

    - #### withSequenceFormat

          public HdfsState.SequenceFileOptions withSequenceFormat​(SequenceFormat format)

    - #### withRotationPolicy

          public HdfsState.SequenceFileOptions withRotationPolicy​(FileRotationPolicy rotationPolicy)

    - #### withCompressionType

          public HdfsState.SequenceFileOptions withCompressionType​(org.apache.hadoop.io.SequenceFile.CompressionType compressionType)

    - #### addRotationAction

          public HdfsState.SequenceFileOptions addRotationAction​(RotationAction action)

    - #### getCurrentOffset

          public long getCurrentOffset()
                                throws IOException

      Throws:
        `IOException`

    - #### doCommit

          public void doCommit​(Long txId)
                        throws IOException

      Throws:
        `IOException`

    - #### execute

          public void execute​(List<TridentTuple> tuples)
                       throws IOException

      Throws:
        `IOException`